apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx
spec:
  replicas: 3
  selector:
    matchLabels:
      run: nginx
  strategy: {}
  template:
    metadata:
      labels:
        run: nginx
    spec:
      containers:
      - image: nginx:1.16
        name: nginx
        lifecycle:
          preStop:
            exec:
              command:
              - sh
              - -c
              - "sleep 2"